commit:     f7f309bb351932c0e165498509deb6fd398c113b
Author:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 07:44:20 2017 +0000
Commit:     Kent Fredric <kentnl <AT> gentoo <DOT> org>
CommitDate: Sat Dec 30 02:38:44 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7f309bb

dev-perl/RPC-XML: Bump to version 0.800.0

- EAPI6
- Enable Parallel tests
- Add USE="examples"
- Restore 60_net_server test ( fixed upstream )

Upstream:
- make_method now produces reproducable output by omitting timestamps
- Fix various test failures
- Fix memory leak with expat

Package-Manager: Portage-2.3.18, Repoman-2.3.6

 dev-perl/RPC-XML/Manifest               |  1 +
 dev-perl/RPC-XML/RPC-XML-0.800.0.ebuild | 58 +++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-perl/RPC-XML/Manifest b/dev-perl/RPC-XML/Manifest
index 25fc3b7399d..7094bbcf20a 100644
--- a/dev-perl/RPC-XML/Manifest
+++ b/dev-perl/RPC-XML/Manifest
@@ -1 +1,2 @@
 DIST RPC-XML-0.79.tar.gz 209612 BLAKE2B 
8135be3e956083b985a00056c4574ab7412223f554a66fdadea1d10abbf837b6c02464cd212d774ef940c6f1524cbbaf651155abc1c35e1cac96aa01e1a058d7
 SHA512 
541ee3abf4e44cff68a2b7b7c4f78095e8e4ec479d72b52d300503bc1688f64fd01a0ff3c2cdf8e18573d19af0bae467ac68befe7ad8756e6287ed494a50ce26
+DIST RPC-XML-0.80.tar.gz 211223 BLAKE2B 
e26ba4f667c227e84362ca8e09d17ee01ef45c25902e7bc433bc4a81facacfc6163fc06ddd20a08399131faf18daa97f0f1a173043147f2d5046424c6e3087d3
 SHA512 
a91586ea903b3e633f85ca8d9048181a7c3aedcff6788c7ae5fb4971e8552c421c86f30254517c25caa35f1991146dcceb34301bb49002e4ec75a2ee9c195992

diff --git a/dev-perl/RPC-XML/RPC-XML-0.800.0.ebuild 
b/dev-perl/RPC-XML/RPC-XML-0.800.0.ebuild
new file mode 100644
index 00000000000..8f06c0d7373
--- /dev/null
+++ b/dev-perl/RPC-XML/RPC-XML-0.800.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DIST_AUTHOR=RJRAY
+DIST_VERSION=0.80
+DIST_EXAMPLES=( "ex/*.xpl" )
+inherit perl-module
+
+DESCRIPTION="An implementation of XML-RPC"
+
+SLOT="0"
+LICENSE="|| ( Artistic-2 LGPL-2.1 )"
+KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE="test"
+
+RDEPEND="
+       >=virtual/perl-File-Spec-0.800.0
+       >=dev-perl/libwww-perl-5.834.0
+       >=virtual/perl-Module-Load-0.240.0
+       >=virtual/perl-Scalar-List-Utils-1.200.0
+       >=dev-perl/XML-LibXML-1.850.0
+       >=dev-perl/XML-Parser-2.310.0
+"
+DEPEND="${RDEPEND}
+       virtual/perl-ExtUtils-MakeMaker
+       test? ( >=virtual/perl-Test-Simple-0.940.0 )
+"
+
+src_compile() {
+       perl-module_src_compile
+       if use examples; then
+               pushd "${S}/ex" >/dev/null || die "Can't enter ${S}/ex"
+               emake MAKEMETHOD="${S}/blib/script/make_method"
+               popd >/dev/null || die "Can't exit ${S}/ex"
+       fi
+}
+pkg_postinst() {
+       SETWARN=0
+       has_version '=www-servers/apache-2*' && HAVE_APACHE2=1
+       has_version '>=www-apache/mod_perl-2.0' && HAVE_MP2=2
+
+       [ -n "${HAVE_APACHE2}" ] && SETWARN=1
+       [ -n "${HAVE_MP2}" ] && SETWARN=1
+
+       if [ "${SETWARN}" == "1" ]; then
+               ewarn "Apache2 or mod_perl2 were detected."
+               ewarn ""
+               ewarn "NOTE FROM THE AUTHOR OF RPC-XML"
+               ewarn ""
+               ewarn "At present, this package does not work with Apache2 and 
the soon-to-be"
+               ewarn "mod_perl2. The changes to the API for location handlers 
are too drastic to"
+               ewarn "try and support both within the same class (I tried, 
using the compatibility"
+               ewarn "layer). Also, mp2 does not currently provide support for 
<Perl> sections, which"
+               ewarn "are the real strength of the Apache::RPC::Server class."
+       fi
+}

Reply via email to